org.jboss.netty.handler.codec.http.websocketx

## Class WebSocketHandshakeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.netty.handler.codec.http.websocketx.WebSocketHandshakeException

- All Implemented Interfaces:
    Serializable

      public class WebSocketHandshakeException
      extends RuntimeException

  Exception during handshaking process
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebSocketHandshakeException(String s)`
    `WebSocketHandshakeException(String s, Throwable throwable)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WebSocketHandshakeException

          public WebSocketHandshakeException(String s)

    - #### WebSocketHandshakeException

          public WebSocketHandshakeException(String s,
                                     Throwable throwable)

Copyright © 2008-2012 The Netty Project. All Rights Reserved.